import Request from '../common/request.js';
let request = new Request().http

//获取咨询人员列表
export function getuserlist(data) {
	return request('/store/app/common/getDicts', data, 'GET');
}
//提交咨询内容
export function submitconsult(data) {
	return request('/store/app/common/getDicts', data, 'GET');
}

//获取用户基本信息
export function getInfo(data) {
	return request('/app/fs/userinfo/info', data, 'GET');
}

//添加用户基本信息
export function addInfo(data) {
	return request('/app/fs/userinfo/add', data, 'POST','application/json;charset=UTF-8');
}

//修改用户基本信息
export function updateInfo(data) {
	return request('/app/fsinfo/update', data, 'POST','application/json;charset=UTF-8');
}
//删除用户基本信息
export function deleteInfo(data) {
	return request('/app/fsinfo/delete', data, 'GET','application/json;charset=UTF-8');
}
//获取会员分类
export function getMember(data) {
	return request('/app/common/getDictByKey?key=user_member_classify', data, 'GET');
}
//主页信息
export function homeInfo(data) {
	return request('/app/fs/health/profile/home/info', data, 'GET');
}
//健康档案主页信息
export function getDoc(data) {
	return request('/app/fs/health/profile/info', data, 'GET');
}
//添加健康档案信息
export function addDoc(data) {
	return request('/app/fs/health/profile/add', data, 'POST','application/json;charset=UTF-8');
}

//修改健康档案信息
export function updateDoc(data) {
	return request('/app/fs/health/profile/update', data, 'POST','application/json;charset=UTF-8');
}
//删除健康档案信息
export function deleteDoc(data) {
	return request('/app/fs/health/profile/delete', data, 'GET','application/json;charset=UTF-8');
}

//最新数据查询
export function getLatest(data) {
	return request('/app/fs/health/data/latest/info', data, 'GET','application/json;charset=UTF-8');
}
//最新数据查询可视化
export function getLatestList(data) {
	return request('/app/fs/health/data/latest/list', data, 'GET','application/json;charset=UTF-8');
}
//数据新增
export function addData(data) {
	return request('/app/fs/health/data/add', data, 'POST','application/json;charset=UTF-8');
}
//数据列表查询
export function getDataList(data) {
	return request('/app/fs/health/data/list', data, 'GET','application/json;charset=UTF-8');
}
//数据更新
export function updateData(data) {
	return request('/app/fs/health/data/update', data, 'POST','application/json;charset=UTF-8');
}
//数据数据删除
export function deleteData(data) {
	return request('/app/fs/health/data/delete', data, 'GET','application/json;charset=UTF-8');
}
//数据数据详情
export function getDataById(data) {
	return request('/app/fs/health/data/info', data, 'GET','application/json;charset=UTF-8');
}